IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Ignore:
Timestamp:
Feb 2, 2005, 2:54:13 PM (21 years ago)
Author:
desonia
Message:

Added SWIG and autoconf.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/psLib/test/dataIO/Makefile

    r3056 r3115  
    1 ################################################################################
    2 ##
    3 ##  Makefile:   test/fileUtils
    4 ##
    5 ##  $Revision: 1.3 $  $Name: not supported by cvs2svn $
    6 ##  $Date: 2005-01-19 01:53:00 $
    7 ##
    8 ##  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
    9 ##
    10 ###############################################################################
    11 
    12 ifndef prefix
    13     export prefix=$(shell cd ../..;pwd)
    14 endif
    15 
    16 include ../../src/Makefile.Globals
    17 
    18 CFLAGS := -I../../include -DUTC_DAT_FILE="\"$(prefix)/data/tai_utc.dat\"" $(CFLAGS)
    19 LDFLAGS := -L../../lib -lpslib -lpstest $(LDFLAGS)
    20 
    21 TARGET = tst_psLookupTable_01 \
     1# Makefile.in generated by automake 1.9.1 from Makefile.am.
     2# test/fileUtils/Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16SOURCES = $(tst_psFits_SOURCES) $(tst_psLookupTable_01_SOURCES)
     17
     18srcdir = .
     19top_srcdir = ../..
     20
     21pkgdatadir = $(datadir)/pslib
     22pkglibdir = $(libdir)/pslib
     23pkgincludedir = $(includedir)/pslib
     24top_builddir = ../..
     25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     26INSTALL = /usr/bin/install -c
     27install_sh_DATA = $(install_sh) -c -m 644
     28install_sh_PROGRAM = $(install_sh) -c
     29install_sh_SCRIPT = $(install_sh) -c
     30INSTALL_HEADER = $(INSTALL_DATA)
     31transform = $(program_transform_name)
     32NORMAL_INSTALL = :
     33PRE_INSTALL = :
     34POST_INSTALL = :
     35NORMAL_UNINSTALL = :
     36PRE_UNINSTALL = :
     37POST_UNINSTALL = :
     38build_triplet = x86_64-unknown-linux-gnu
     39host_triplet = x86_64-unknown-linux-gnu
     40check_PROGRAMS = tst_psLookupTable_01$(EXEEXT) tst_psFits$(EXEEXT)
     41subdir = test/fileUtils
     42DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
     43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     44am__aclocal_m4_deps = $(top_srcdir)/configure.in
     45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     46        $(ACLOCAL_M4)
     47mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     48CONFIG_HEADER = $(top_builddir)/src/config.h
     49CONFIG_CLEAN_FILES =
     50am_tst_psFits_OBJECTS = tst_psFits.$(OBJEXT)
     51tst_psFits_OBJECTS = $(am_tst_psFits_OBJECTS)
     52tst_psFits_LDADD = $(LDADD)
     53am_tst_psLookupTable_01_OBJECTS = tst_psLookupTable_01.$(OBJEXT)
     54tst_psLookupTable_01_OBJECTS = $(am_tst_psLookupTable_01_OBJECTS)
     55tst_psLookupTable_01_LDADD = $(LDADD)
     56DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
     57depcomp = $(SHELL) $(top_srcdir)/depcomp
     58am__depfiles_maybe = depfiles
     59COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     60        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
     61LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
     62        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
     63        $(AM_CFLAGS) $(CFLAGS)
     64CCLD = $(CC)
     65LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
     66        $(AM_LDFLAGS) $(LDFLAGS) -o $@
     67SOURCES = $(tst_psFits_SOURCES) $(tst_psLookupTable_01_SOURCES)
     68DIST_SOURCES = $(tst_psFits_SOURCES) $(tst_psLookupTable_01_SOURCES)
     69ETAGS = etags
     70CTAGS = ctags
     71DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     72ACLOCAL = ${SHELL} /home/desonia/panstarrs/psLib/missing --run aclocal-1.9
     73AMDEP_FALSE = #
     74AMDEP_TRUE =
     75AMTAR = ${SHELL} /home/desonia/panstarrs/psLib/missing --run tar
     76AR = ar
     77AUTOCONF = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoconf
     78AUTOHEADER = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoheader
     79AUTOMAKE = ${SHELL} /home/desonia/panstarrs/psLib/missing --run automake-1.9
     80AWK = gawk
     81CC = gcc
     82CCDEPMODE = depmode=gcc3
     83CFLAGS = -g -O2 -g2 -Wall -std=c99 -D_GNU_SOURCE   -I/usr/include -I/usr/include/libxml2
     84CONFIG_FILE = /home/desonia/panstarrs/psLib/config/psTime.config
     85CPP = gcc -E
     86CPPFLAGS =
     87CXX = g++
     88CXXCPP = g++ -E
     89CXXDEPMODE = depmode=gcc3
     90CXXFLAGS = -g -O2
     91CYGPATH_W = echo
     92DEFS = -DHAVE_CONFIG_H
     93DEPDIR = .deps
     94ECHO = echo
     95ECHO_C =
     96ECHO_N = -n
     97ECHO_T =
     98EGREP = grep -E
     99EXEEXT =
     100F77 = g77
     101FFLAGS = -fno-second-underscore -O -fno-f2c
     102GSL_CONFIG = /usr/bin/gsl-config
     103INSTALL_DATA = ${INSTALL} -m 644
     104INSTALL_PROGRAM = ${INSTALL}
     105INSTALL_SCRIPT = ${INSTALL}
     106INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     107LDFLAGS =
     108LIBOBJS =
     109LIBS =
     110LIBTOOL = $(SHELL) $(top_builddir)/libtool
     111LN_S = ln -s
     112LTLIBOBJS =
     113MAKEINFO = ${SHELL} /home/desonia/panstarrs/psLib/missing --run makeinfo
     114OBJEXT = o
     115PACKAGE = pslib
     116PACKAGE_BUGREPORT =
     117PACKAGE_NAME =
     118PACKAGE_STRING =
     119PACKAGE_TARNAME =
     120PACKAGE_VERSION =
     121PATH_SEPARATOR = :
     122PERL = /usr/bin/perl
     123PSLIB_CFLAGS = -I${prefix}/include
     124PSLIB_LIBS = -L${exec_prefix}/lib -lpslib   -lcfitsio  -lfftw3f -L/usr/lib64 -lgsl -lgslcblas -lm -lxml2 -lz -lpthread -lm
     125RANLIB = ranlib
     126SET_MAKE =
     127SHELL = /bin/sh
     128STRIP = strip
     129SWIG = /usr/bin/swig
     130VERSION = 1.5
     131XML_CONFIG = /usr/bin/xml2-config
     132ac_ct_AR = ar
     133ac_ct_CC = gcc
     134ac_ct_CXX = g++
     135ac_ct_F77 = g77
     136ac_ct_RANLIB = ranlib
     137ac_ct_STRIP = strip
     138am__fastdepCC_FALSE = #
     139am__fastdepCC_TRUE =
     140am__fastdepCXX_FALSE = #
     141am__fastdepCXX_TRUE =
     142am__include = include
     143am__leading_dot = .
     144am__quote =
     145am__tar = ${AMTAR} chof - "$$tardir"
     146am__untar = ${AMTAR} xf -
     147bindir = ${exec_prefix}/bin
     148build = x86_64-unknown-linux-gnu
     149build_alias =
     150build_cpu = x86_64
     151build_os = linux-gnu
     152build_vendor = unknown
     153datadir = ${prefix}/share
     154exec_prefix = ${prefix}
     155host = x86_64-unknown-linux-gnu
     156host_alias =
     157host_cpu = x86_64
     158host_os = linux-gnu
     159host_vendor = unknown
     160includedir = ${prefix}/include
     161infodir = ${prefix}/info
     162install_sh = /home/desonia/panstarrs/psLib/install-sh
     163libdir = ${exec_prefix}/lib
     164libexecdir = ${exec_prefix}/libexec
     165localstatedir = ${prefix}/var
     166mandir = ${prefix}/man
     167mkdir_p = mkdir -p --
     168oldincludedir = /usr/include
     169prefix = /home/desonia/panstarrs/psLib
     170program_transform_name = s,x,x,
     171sbindir = ${exec_prefix}/sbin
     172sharedstatedir = ${prefix}/com
     173sysconfdir = ${prefix}/etc
     174target_alias =
     175
     176#Makefile for astronomy functions of psLib
     177#
     178INCLUDES = \
     179        -I$(top_srcdir)/src \
     180        -I$(top_srcdir)/src/astronomy \
     181        -I$(top_srcdir)/src/collections \
     182        -I$(top_srcdir)/src/dataManip \
     183        -I$(top_srcdir)/src/fileUtils \
     184        -I$(top_srcdir)/src/image \
     185        -I$(top_srcdir)/src/sysUtils \
     186        $(all_includes)
     187
     188AM_LDFLAGS = -L$(top_srcdir)/src `sh $(top_srcdir)/pslib-config --libs`
     189TESTS_ENVIRONMENT = perl $(top_srcdir)/test/runTest
     190TESTS = \
     191        tst_psLookupTable_01 \
    22192        tst_psFits
    23193
    24 OBJS = $(addprefix builddir/,$(addsuffix .o,$(TARGET)))
    25 
    26 all: $(TARGET)
    27 
    28 clean:
    29         @echo "    Deleting executable and binary files for 'test/fileUtils'"
    30         $(RM) $(OBJS)
    31 
    32 distclean: clean
    33         $(RM) $(TARGET)
    34 
    35 install: $(testbindir) $(testbindir)/verified $(TARGET)
    36         install $(TARGET) $(testbindir)
    37         install verified/*.stderr verified/*.stdout $(testbindir)/verified
    38 
    39 $(testbindir):
    40         mkdir -p $(testbindir)
    41 
    42 $(testbindir)/verified:
    43         mkdir -p $(testbindir)/verified
    44 
     194tst_psLookupTable_01_SOURCES = tst_psLookupTable_01.c
     195tst_psFits_SOURCES = tst_psFits.c
     196all: all-am
     197
     198.SUFFIXES:
     199.SUFFIXES: .c .lo .o .obj
     200$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     201        @for dep in $?; do \
     202          case '$(am__configure_deps)' in \
     203            *$$dep*) \
     204              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
     205                && exit 0; \
     206              exit 1;; \
     207          esac; \
     208        done; \
     209        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/fileUtils/Makefile'; \
     210        cd $(top_srcdir) && \
     211          $(AUTOMAKE) --gnu  test/fileUtils/Makefile
     212.PRECIOUS: Makefile
     213Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     214        @case '$?' in \
     215          *config.status*) \
     216            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
     217          *) \
     218            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
     219            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
     220        esac;
     221
     222$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     223        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     224
     225$(top_srcdir)/configure:  $(am__configure_deps)
     226        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     227$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     228        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     229
     230clean-checkPROGRAMS:
     231        @list='$(check_PROGRAMS)'; for p in $$list; do \
     232          f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
     233          echo " rm -f $$p $$f"; \
     234          rm -f $$p $$f ; \
     235        done
     236tst_psFits$(EXEEXT): $(tst_psFits_OBJECTS) $(tst_psFits_DEPENDENCIES)
     237        @rm -f tst_psFits$(EXEEXT)
     238        $(LINK) $(tst_psFits_LDFLAGS) $(tst_psFits_OBJECTS) $(tst_psFits_LDADD) $(LIBS)
     239tst_psLookupTable_01$(EXEEXT): $(tst_psLookupTable_01_OBJECTS) $(tst_psLookupTable_01_DEPENDENCIES)
     240        @rm -f tst_psLookupTable_01$(EXEEXT)
     241        $(LINK) $(tst_psLookupTable_01_LDFLAGS) $(tst_psLookupTable_01_OBJECTS) $(tst_psLookupTable_01_LDADD) $(LIBS)
     242
     243mostlyclean-compile:
     244        -rm -f *.$(OBJEXT)
     245
     246distclean-compile:
     247        -rm -f *.tab.c
     248
     249include ./$(DEPDIR)/tst_psFits.Po
     250include ./$(DEPDIR)/tst_psLookupTable_01.Po
     251
     252.c.o:
     253        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     254        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     255#       source='$<' object='$@' libtool=no \
     256#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     257#       $(COMPILE) -c $<
     258
     259.c.obj:
     260        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
     261        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     262#       source='$<' object='$@' libtool=no \
     263#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     264#       $(COMPILE) -c `$(CYGPATH_W) '$<'`
     265
     266.c.lo:
     267        if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     268        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     269#       source='$<' object='$@' libtool=yes \
     270#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     271#       $(LTCOMPILE) -c -o $@ $<
     272
     273mostlyclean-libtool:
     274        -rm -f *.lo
     275
     276clean-libtool:
     277        -rm -rf .libs _libs
     278
     279distclean-libtool:
     280        -rm -f libtool
     281uninstall-info-am:
     282
     283ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     284        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     285        unique=`for i in $$list; do \
     286            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     287          done | \
     288          $(AWK) '    { files[$$0] = 1; } \
     289               END { for (i in files) print i; }'`; \
     290        mkid -fID $$unique
     291tags: TAGS
     292
     293TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     294                $(TAGS_FILES) $(LISP)
     295        tags=; \
     296        here=`pwd`; \
     297        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     298        unique=`for i in $$list; do \
     299            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     300          done | \
     301          $(AWK) '    { files[$$0] = 1; } \
     302               END { for (i in files) print i; }'`; \
     303        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     304          test -n "$$unique" || unique=$$empty_fix; \
     305          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     306            $$tags $$unique; \
     307        fi
     308ctags: CTAGS
     309CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     310                $(TAGS_FILES) $(LISP)
     311        tags=; \
     312        here=`pwd`; \
     313        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     314        unique=`for i in $$list; do \
     315            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     316          done | \
     317          $(AWK) '    { files[$$0] = 1; } \
     318               END { for (i in files) print i; }'`; \
     319        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     320          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     321             $$tags $$unique
     322
     323GTAGS:
     324        here=`$(am__cd) $(top_builddir) && pwd` \
     325          && cd $(top_srcdir) \
     326          && gtags -i $(GTAGS_ARGS) $$here
     327
     328distclean-tags:
     329        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     330
     331check-TESTS: $(TESTS)
     332        @failed=0; all=0; xfail=0; xpass=0; skip=0; \
     333        srcdir=$(srcdir); export srcdir; \
     334        list='$(TESTS)'; \
     335        if test -n "$$list"; then \
     336          for tst in $$list; do \
     337            if test -f ./$$tst; then dir=./; \
     338            elif test -f $$tst; then dir=; \
     339            else dir="$(srcdir)/"; fi; \
     340            if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
     341              all=`expr $$all + 1`; \
     342              case " $(XFAIL_TESTS) " in \
     343              *" $$tst "*) \
     344                xpass=`expr $$xpass + 1`; \
     345                failed=`expr $$failed + 1`; \
     346                echo "XPASS: $$tst"; \
     347              ;; \
     348              *) \
     349                echo "PASS: $$tst"; \
     350              ;; \
     351              esac; \
     352            elif test $$? -ne 77; then \
     353              all=`expr $$all + 1`; \
     354              case " $(XFAIL_TESTS) " in \
     355              *" $$tst "*) \
     356                xfail=`expr $$xfail + 1`; \
     357                echo "XFAIL: $$tst"; \
     358              ;; \
     359              *) \
     360                failed=`expr $$failed + 1`; \
     361                echo "FAIL: $$tst"; \
     362              ;; \
     363              esac; \
     364            else \
     365              skip=`expr $$skip + 1`; \
     366              echo "SKIP: $$tst"; \
     367            fi; \
     368          done; \
     369          if test "$$failed" -eq 0; then \
     370            if test "$$xfail" -eq 0; then \
     371              banner="All $$all tests passed"; \
     372            else \
     373              banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
     374            fi; \
     375          else \
     376            if test "$$xpass" -eq 0; then \
     377              banner="$$failed of $$all tests failed"; \
     378            else \
     379              banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
     380            fi; \
     381          fi; \
     382          dashes="$$banner"; \
     383          skipped=""; \
     384          if test "$$skip" -ne 0; then \
     385            skipped="($$skip tests were not run)"; \
     386            test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
     387              dashes="$$skipped"; \
     388          fi; \
     389          report=""; \
     390          if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
     391            report="Please report to $(PACKAGE_BUGREPORT)"; \
     392            test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
     393              dashes="$$report"; \
     394          fi; \
     395          dashes=`echo "$$dashes" | sed s/./=/g`; \
     396          echo "$$dashes"; \
     397          echo "$$banner"; \
     398          test -z "$$skipped" || echo "$$skipped"; \
     399          test -z "$$report" || echo "$$report"; \
     400          echo "$$dashes"; \
     401          test "$$failed" -eq 0; \
     402        else :; fi
     403
     404distdir: $(DISTFILES)
     405        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     406        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     407        list='$(DISTFILES)'; for file in $$list; do \
     408          case $$file in \
     409            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     410            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     411          esac; \
     412          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     413          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     414          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     415            dir="/$$dir"; \
     416            $(mkdir_p) "$(distdir)$$dir"; \
     417          else \
     418            dir=''; \
     419          fi; \
     420          if test -d $$d/$$file; then \
     421            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     422              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     423            fi; \
     424            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     425          else \
     426            test -f $(distdir)/$$file \
     427            || cp -p $$d/$$file $(distdir)/$$file \
     428            || exit 1; \
     429          fi; \
     430        done
     431check-am: all-am
     432        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
     433        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
     434check: check-am
     435all-am: Makefile
     436installdirs:
     437install: install-am
     438install-exec: install-exec-am
     439install-data: install-data-am
     440uninstall: uninstall-am
     441
     442install-am: all-am
     443        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     444
     445installcheck: installcheck-am
     446install-strip:
     447        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     448          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     449          `test -z '$(STRIP)' || \
     450            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     451mostlyclean-generic:
     452
     453clean-generic:
     454
     455distclean-generic:
     456        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     457
     458maintainer-clean-generic:
     459        @echo "This command is intended for maintainers to use"
     460        @echo "it deletes files that may require special tools to rebuild."
     461clean: clean-am
     462
     463clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
     464        mostlyclean-am
     465
     466distclean: distclean-am
     467        -rm -rf ./$(DEPDIR)
     468        -rm -f Makefile
     469distclean-am: clean-am distclean-compile distclean-generic \
     470        distclean-libtool distclean-tags
     471
     472dvi: dvi-am
     473
     474dvi-am:
     475
     476html: html-am
     477
     478info: info-am
     479
     480info-am:
     481
     482install-data-am:
     483
     484install-exec-am:
     485
     486install-info: install-info-am
     487
     488install-man:
     489
     490installcheck-am:
     491
     492maintainer-clean: maintainer-clean-am
     493        -rm -rf ./$(DEPDIR)
     494        -rm -f Makefile
     495maintainer-clean-am: distclean-am maintainer-clean-generic
     496
     497mostlyclean: mostlyclean-am
     498
     499mostlyclean-am: mostlyclean-compile mostlyclean-generic \
     500        mostlyclean-libtool
     501
     502pdf: pdf-am
     503
     504pdf-am:
     505
     506ps: ps-am
     507
     508ps-am:
     509
     510uninstall-am: uninstall-info-am
     511
     512.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
     513        clean-checkPROGRAMS clean-generic clean-libtool ctags \
     514        distclean distclean-compile distclean-generic \
     515        distclean-libtool distclean-tags distdir dvi dvi-am html \
     516        html-am info info-am install install-am install-data \
     517        install-data-am install-exec install-exec-am install-info \
     518        install-info-am install-man install-strip installcheck \
     519        installcheck-am installdirs maintainer-clean \
     520        maintainer-clean-generic mostlyclean mostlyclean-compile \
     521        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     522        tags uninstall uninstall-am uninstall-info-am
     523
     524tests: $(TESTS)
     525# Tell versions [3.59,3.63) of GNU make to not export all variables.
     526# Otherwise a system limit (for SysV at least) may be exceeded.
     527.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.